Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.metadata.jaxrpcmapping
Class ServiceEndpointMethodMapping

    java.lang.Object
      org.jboss.webservice.metadata.jaxrpcmapping.ServiceEndpointMethodMapping

public class ServiceEndpointMethodMapping
extends Object

XML mapping of the java-wsdl-mapping/service-endpoint-interface-mapping/service-endpoint-method-mapping element.

Since:
  14-May-2004
Author:
  Thomas.Diesler@jboss.org

Constructor Summary
`ServiceEndpointMethodMapping(ServiceEndpointInterfaceMapping serviceEndpointInterfaceMapping)`

Method Summary
`void` | `addMethodParamPartsMapping(MethodParamPartsMapping methodParamPartsMapping)`
`String` | `getJavaMethodName()`
`MethodParamPartsMapping[]` | `getMethodParamPartsMappings()`
`ServiceEndpointInterfaceMapping` | `getServiceEndpointInterfaceMapping()`
`String` | `getWsdlOperation()`
`WsdlReturnValueMapping` | `getWsdlReturnValueMapping()`
`boolean` | `isWrappedElement()`
`void` | `setJavaMethodName(String javaMethodName)`
`void` | `setWrappedElement(boolean wrappedElement)`
`void` | `setWsdlOperation(String wsdlOperation)`
`void` | `setWsdlReturnValueMapping(WsdlReturnValueMapping wsdlReturnValueMapping)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceEndpointMethodMapping

    public ServiceEndpointMethodMapping(ServiceEndpointInterfaceMapping serviceEndpointInterfaceMapping)

Method Detail

### getServiceEndpointInterfaceMapping

    public ServiceEndpointInterfaceMapping getServiceEndpointInterfaceMapping()

### getJavaMethodName

    public String getJavaMethodName()

### setJavaMethodName

    public void setJavaMethodName(String javaMethodName)

### getMethodParamPartsMappings

    public MethodParamPartsMapping[] getMethodParamPartsMappings()

### addMethodParamPartsMapping

    public void addMethodParamPartsMapping(MethodParamPartsMapping methodParamPartsMapping)

### isWrappedElement

    public boolean isWrappedElement()

### setWrappedElement

    public void setWrappedElement(boolean wrappedElement)

### getWsdlOperation

    public String getWsdlOperation()

### setWsdlOperation

    public void setWsdlOperation(String wsdlOperation)

### getWsdlReturnValueMapping

    public WsdlReturnValueMapping getWsdlReturnValueMapping()

### setWsdlReturnValueMapping

    public void setWsdlReturnValueMapping(WsdlReturnValueMapping wsdlReturnValueMapping)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.